package com.qmth.themis.business.dto;

import com.qmth.themis.business.annotation.ExcelNotExport;
import com.qmth.themis.business.annotation.ExcelNote;
import com.qmth.themis.business.excel.ExcelProperty;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * @Description: 监考员登录时间导出 dto
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/7/20
 */
public class InvigilateUserExportDto implements Serializable {

    @ExcelProperty(name = "学校名称", width = 30, index = 1)
    private String schoolName;

    @ExcelProperty(name = "考试名称", width = 30, index = 2)
    private String examName;

    @ExcelProperty(name = "场次代码", width = 30, index = 3)
    private String code;

    @ExcelProperty(name = "登录名", width = 30, index = 4)
    private String name;

    @ApiModelProperty(value = "类型")
    private String type;

    @ApiModelProperty(value = "创建时间")
    private String createTime;

    @ExcelProperty(name = "登录时间", width = 30, index = 5)
    private String loginTime;

    @ExcelProperty(name = "登出时间", width = 30, index = 5)
    private String logoutTime;

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getSchoolName() {
        return schoolName;
    }

    public void setSchoolName(String schoolName) {
        this.schoolName = schoolName;
    }

    public String getExamName() {
        return examName;
    }

    public void setExamName(String examName) {
        this.examName = examName;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public String getLoginTime() {
        return loginTime;
    }

    public void setLoginTime(String loginTime) {
        this.loginTime = loginTime;
    }

    public String getLogoutTime() {
        return logoutTime;
    }

    public void setLogoutTime(String logoutTime) {
        this.logoutTime = logoutTime;
    }
}
